%define module_version 0.06
%define module_name App-single
Serial: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: An application to run a single instance of a command
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/app-single

Source0: http://cpan.org.ua/authors/id/J/JH/JHTHORSEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the App::single manpage is an application which allow you to run a single instance of
a command. Example usage is from a cron:

  * * * * * /usr/local/bin/single autossh example.com sleep 86400 2>/dev/null 1>/dev/null

The way it works is that it makes a temporarily file which include information
about the process. Information written to the file includes the PID of the
process, so the second time `single' is started with the same arguments it
will check if the PID is alive.

NOTE: This script is not atomic, but more than good enough for handling the
"crontab" case.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Wed Oct 08 2014 Igor Vlasenko <viy@altlinux.ru> 1:0.06-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 1:0.05-alt2
- regenerated from template by package builder

* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.0401-alt1
- initial import by package builder

